> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pcibooking.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve 3D Secure Data

> Retrieve the 3D Secure authentication data stored on a token.

<Card title="3DS Authentication Guide" icon="book" href="/manage-tokens/3ds-auth-management">
  Store and manage 3D Secure authentication data
</Card>

This data can also be retrieved via the [Retrieve Token Metadata](/api-reference/manage-tokens/retrieve-token-metadata) endpoint.

## Error Responses

| Code   | HTTP Status | Condition                          |
| ------ | ----------- | ---------------------------------- |
| -1003  | 401         | User not owner or associated       |
| (none) | 404         | No 3DS data exists for this card   |
| -150   | 500         | Internal error retrieving 3DS data |

## Parameters

### Headers

<ParamField header="Authorization" type="string" required>
  Your API key prefixed with `APIKEY`. Example: `APIKEY your-api-key`. See the [Authentication guide](/getting-started/authentication).
</ParamField>

### Path Parameters

<ParamField path="cardToken" type="string" required>
  The token ID as returned by one of the tokenization methods. For example, `2821a46d80e14d1b96a7f18f1b81926d`.
</ParamField>

<RequestExample>
  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
    {
      headers: {
        'Authorization': 'APIKEY your-api-key'
      }
    }
  );

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
      headers={'Authorization': 'APIKEY your-api-key'}
  )

  print(response.json())
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json 200 theme={null}
  {
      "Token": "e13448f6255a496f960d215852f9ccc4",
      "ThreeDSSessionID": null,
      "ThreeDSecIndication": "Authenticated",
      "AuthenticationValue": "AJkBAoEREQAAAAB4hABwcAAAAAA=",
      "Eci": "05",
      "XID": "f0688d0b-6081-4879-9713-e7237d1fddfd",
      "AcsTransactionId": null,
      "Version": "2.1.0",
      "MerchantName": null,
      "SLI": null
  }
  ```

  ```json 401 theme={null}
  {
      "code": -1003,
      "message": "Not authorized to access this resource",
      "moreInfo": "Bad or missing authorization data, expected APIKEY",
      "errorList": null
  }
  ```

  ```json 404 theme={null}
  {
      "code": -160,
      "message": "Uri not found",
      "moreInfo": "No 3D Secure data exists for this card",
      "errorList": null
  }
  ```

  ```json 500 theme={null}
  {
      "code": -150,
      "message": "Internal error",
      "moreInfo": "Failed to retrieve 3D Secure data",
      "errorList": null
  }
  ```
</ResponseExample>
